Package io.strimzi.systemtest.resources.operator

## Class OlmResource

- java.lang.Object
- - io.strimzi.systemtest.resources.operator.OlmResource

-     public class OlmResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NO_MORE_NON_USED_INSTALL_PLANS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OlmResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clusterOperator​(String namespace)` |
    `static void` | `clusterOperator​(String namespace, long operationTimeout, long reconciliationInterval)` |
    `static void` | `clusterOperator​(String namespace, long operationTimeout, long reconciliationInterval, OlmInstallationStrategy olmInstallationStrategy, String fromVersion)` |
    `static void` | `clusterOperator​(String namespace, OlmInstallationStrategy olmInstallationStrategy, String fromVersion)` |
    `static void` | `deleteOlm​(String deploymentName, String namespace, String csvName)` |
    `static Map<String,​Boolean>` | `getClosedMapInstallPlan()` |
    `static String` | `getClusterOperatorVersion()` | Get specific version of cluster operator with prefix name in format: 'strimzi-cluster-operator.v0.18.0'
    `static Map<String,​io.vertx.core.json.JsonObject>` | `getExampleResources()` |
    `static String` | `getNonUsedInstallPlan()` |
    `static void` | `obtainInstallPlanName()` | Get install plan name and store it to closedMapInstallPlan
    `static void` | `setExampleResources​(Map<String,​io.vertx.core.json.JsonObject> exampleResources)` |
    `static void` | `upgradeClusterOperator()` | Upgrade cluster operator by obtaining new install plan, which was not used and also approves installation by changing the install plan YAML

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_MORE_NON_USED_INSTALL_PLANS

          public static final String NO_MORE_NON_USED_INSTALL_PLANS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OlmResource

          public OlmResource()

  - ### Method Detail

    - #### clusterOperator

          public static void clusterOperator​(String namespace)

    - #### clusterOperator

          public static void clusterOperator​(String namespace,
                                             OlmInstallationStrategy olmInstallationStrategy,
                                             String fromVersion)

    - #### clusterOperator

          public static void clusterOperator​(String namespace,
                                             long operationTimeout,
                                             long reconciliationInterval)

    - #### clusterOperator

          public static void clusterOperator​(String namespace,
                                             long operationTimeout,
                                             long reconciliationInterval,
                                             OlmInstallationStrategy olmInstallationStrategy,
                                             String fromVersion)

    - #### obtainInstallPlanName

          public static void obtainInstallPlanName()

      Get install plan name and store it to closedMapInstallPlan

    - #### getClusterOperatorVersion

          public static String getClusterOperatorVersion()

      Get specific version of cluster operator with prefix name in format: 'strimzi-cluster-operator.v0.18.0'
      Returns:
        version with prefix name

    - #### getNonUsedInstallPlan

          public static String getNonUsedInstallPlan()

    - #### upgradeClusterOperator

          public static void upgradeClusterOperator()

      Upgrade cluster operator by obtaining new install plan, which was not used and also approves installation by changing the install plan YAML

    - #### deleteOlm

          public static void deleteOlm​(String deploymentName,
                                       String namespace,
                                       String csvName)

    - #### getExampleResources

          public static Map<String,​io.vertx.core.json.JsonObject> getExampleResources()

    - #### setExampleResources

          public static void setExampleResources​(Map<String,​io.vertx.core.json.JsonObject> exampleResources)

    - #### getClosedMapInstallPlan

          public static Map<String,​Boolean> getClosedMapInstallPlan()